Subject: Re: nncp-xfer not respecting -seen

From: Sergey Matveev <[email-masked]>
Date: Wed, 9 Mar 2022 14:59:15 +0300

Greetings!

*** John Goerzen [2022-03-05 09:51]:
>I looked at the code a bit, and it seems that the seen check is done
>during the rx path of nncp-bundle and the tx path of nncp-xfer.  My
>intuition says the nncp-bundle approach is correct but I may be
>misunderstanding the code here.

You are totally right! I have no idea what was the point of seen-file
checking for -tx path -- it is pointless. Fixed that in 8.7.1 release.
Thank you!

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF